Subject: Re: [net-next PATCH] net: core: Add napi_complete_done tracepoint

From: Joe Damato <[email-masked]>
Date: Mon, 10 Oct 2022 18:01:52 -0700

On Mon, Oct 10, 2022 at 05:58:24PM -0700, Jakub Kicinski wrote:
> On Mon, 10 Oct 2022 11:21:34 -0700 Joe Damato wrote:
> > Add a tracepoint to help debug napi_complete_done. Users who set
> > defer_hard_irqs and the GRO timer can use this tracepoint to better
> > understand what impact these options have when their NIC driver calls
> > napi_complete_done.
> > 
> > perf trace can be used to enable the tracepoint and the output can be
> > examined to determine which settings should be adjusted.
> 
> Are you familiar with bpftrace, and it's ability to attach to kfunc 
> and kretfunc? We mostly add tracepoints to static functions which get
> inlined these days.

Fair enough; I'll avoid sending patches like that in the future. It's been
helpful for me, but point taken. Sorry for the noise.